Opened 6 years ago

Closed 5 months ago

#7884 closed feature request (outdated)

Update MAME OPL to actual version.

Reported by: SF/nukeykt Owned by: sev-
Priority: normal Component: Audio
Version: Keywords:
Cc: Game:

Description

MAME OPL code is now licensed under the GPL. Will it be possible to update code? OPL/OPL2: https://github.com/mamedev/mame/blob/master/src/devices/sound/fmopl.cpp

OPL3: https://github.com/mamedev/mame/blob/master/src/devices/sound/ymf262.cpp

Ticket imported from: feature-requests/702.

Change History (7)

comment:1 by csnover, 4 years ago

Owner: set to csnover

comment:3 by bonki, 3 years ago

The PR has since been closed without merging. Should we keep the ticket open or close it as well?

comment:4 by digitall, 3 years ago

Owner: csnover removed

comment:5 by digitall, 3 years ago

Component: Audio

comment:6 by digitall, 3 years ago

bonki: That question is still relevant... Not sure if we want to take any of PR1071 or if the current state of code is fine. Will need an Audio expert for this :/

comment:7 by sev-, 5 months ago

Owner: set to sev-
Resolution: outdated
Status: newclosed

We included DOSBox OPL2/3 and Nuked drivers since, thus, this request is not relevant anymore.

Note: See TracTickets for help on using tickets.